package com.gci.boot.constant;

/**
 * @author: huangxutao
 * @date: 2019-06-14
 * @description: 缓存常量
 */
public interface CacheConstant {

	/**
	 * 字典信息缓存,value为key
	 */
    String SYS_DICT_CACHE = "sys:cache:dict";

	/**
	 * 字典信息缓存,text为key
	 */
    String SYS_DICT_CACHE_TEXTKEY = "sys:cache:dict:text";

	/**
	 * 表字典信息缓存,value为key
	 */
    String SYS_DICT_TABLE_CACHE = "sys:cache:dictTable";

	/**
	 * 表字典信息缓存,text为key
	 */
    String SYS_DICT_TABLE_CACHE_TEXTKEY = "sys:cache:dictTable:text";
    
	/**
	 * 字典delFlag信息缓存,value为key
	 */
    String SYS_DICT_DELFLAG_CACHE = "sys:cache:dict:delFlag";

	/**
	 * 账号登陆验证次数
	 */
	String LOGIN_TIMES_VALIDATE_PC = "sys.login.validate.times.pc.";

	/**
	 * 数据权限配置缓存
	 */
    String SYS_DATA_PERMISSIONS_CACHE = "sys:cache:permission:datarules";

	/**
	 * 缓存用户信息
	 */
	String SYS_USERS_CACHE = "sys:cache:auth:user";

	/**
	 * 用户权限信息缓存
	 */
	String SYS_AUTHORIZATION_CACHE = "sys:cache:auth:authorization";
	/**
	 * 用户权限信息缓存
	 */
	String SYS_AUTHENTICATION_CACHE = "sys:cache:auth:authentication";
	/**
	 * 全部部门信息缓存
	 */
	String SYS_DEPARTS_CACHE = "sys:cache:depart:alldata";


	/**
	 * 全部部门ids缓存
	 */
	String SYS_DEPART_IDS_CACHE = "sys:cache:depart:allids";


	/**
	 * 测试缓存key
	 */
	String TEST_DEMO_CACHE = "test:demo";

	/**
	 * 字典信息缓存
	 */
	String SYS_DYNAMICDB_CACHE = "sys:cache:dbconnect:dynamic:";

	/**
	 * 车辆围栏缓存
	 */
	public static final String VEHICLE_FENCE_KEY = "vehicle:fence:";

	/**
	 * 接口请求次数限制
	 */
	public static final String LIMIT_REQUEST = "limit:request:";

	/**
	 * 需要校验的username
	 */
	public static final String LIMIT_USERNAME = "limit:username:";
	/**
	 * 微信推送消息体
	 */
	String WX_MSG_PUSH = "sys:wx:msgPush:queue";
}
