package com.gci.boot.modules.customer.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonPropertyDescription;
import com.gci.boot.common.dict.annotation.Dict;
import com.gci.boot.common.dict.excel.DictConverter;
import com.gci.boot.common.validated.SaveValidated;
import com.gci.boot.common.validated.UpdateValidated;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author 24642
 */
@Data
public class VehicleDto {

    @NotBlank(message = "id不能为空",groups = {SaveValidated.class,UpdateValidated.class})
    private String id;

    @Excel(name = "车牌号")
    private String plateNumber;

    @Excel(name = "车架号")
    private String frameNumber;

    @Dict(dicCode = "vehicle_brand")
    @Excel(name = "品牌",dict = "vehicle_brand")
    private String vehicleBrand;

    @Excel(name = "型号")
    private String vehicleModel;

    @Dict(dicCode = "vehicle_type")
    @Excel(name = "车辆种类",dict = "vehicle_type")
    private String vehicleType;

    @Dict(dicCode = "yes_no")
    @Excel(name = "是否正常",dict = "yes_no")
    @NotBlank(message = "是否正常不能为空",groups = {SaveValidated.class,UpdateValidated.class})
    private String isNormal;

    @Excel(name = "异常数据")
    private String abnormalMsg;
}
