package com.gci.boot.modules.customer.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gci.boot.annotation.Query.OrderQuery;
import com.gci.boot.annotation.Query.SelectQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author 24642
 */
@Data
public class CustomerTrainingQuery {
    /**
     * 项目Id
     */
    @SelectQuery(Type = SelectQuery.SelectType.EQ)
    private String projectId;

    /**
     * 培训类型
     */
    @SelectQuery
    private String trainingType;

    /**
     * 培训对象
     */
    @SelectQuery
    private String trainees;

    /**
     * 培训时间
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @SelectQuery(Type = SelectQuery.SelectType.BETWEEN,PropName = "actualStartTime")
    private List<Date> time;

}
