package com.gci.boot.modules.dataview.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.boot.modules.dataview.vo.GisRoadMileVo;
import com.gci.boot.modules.dataview.vo.VehicleCenterVo;
import com.gci.boot.modules.gis.entity.GisRoadMileLog;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 行驶里程能耗记录表 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
public interface VehiclesCenterMapper{

    /**
     * 违章根据月份分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> violationStatisticsByMonth(@Param("startTime")String startTime,@Param("endTime")String endTime);

    /**
     * 违章根据项目分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> violationStatisticsByProject(@Param("startTime") Date startTime,@Param("endTime") Date endTime);


    /**
     * 违章根据车辆种类分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> violationStatisticsByVehicleType(@Param("startTime")Date startTime,@Param("endTime")Date endTime);



    /**
     * 事故根据月份分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> accidentStatisticsByMonth(@Param("startTime")String startTime,@Param("endTime")String endTime);

    /**
     * 事故根据项目分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> accidentStatisticsByProject(@Param("startTime") Date startTime,@Param("endTime") Date endTime);


    /**
     * 事故根据车辆种类分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> accidentStatisticsByVehicleType(@Param("startTime")Date startTime,@Param("endTime")Date endTime);



    /**
     * 保险根据月份分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> insuranceStatisticsByMonth(@Param("startTime")String startTime,@Param("endTime")String endTime);

    /**
     * 保险根据项目分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> insuranceStatisticsByProject(@Param("startTime") Date startTime,@Param("endTime") Date endTime);


    /**
     * 保险根据车辆种类分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> insuranceStatisticsByVehicleType(@Param("startTime")Date startTime,@Param("endTime")Date endTime);


    /**
     * 年检根据月份分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> inspectionStatisticsByMonth(@Param("startTime")String startTime,@Param("endTime")String endTime);

    /**
     * 年检根据项目分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> inspectionStatisticsByProject(@Param("startTime") Date startTime,@Param("endTime") Date endTime);


    /**
     * 年检根据车辆种类分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> inspectionStatisticsByVehicleType(@Param("startTime")Date startTime,@Param("endTime")Date endTime);



    /**
     * 维修根据月份分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> repairStatisticsByMonth(@Param("startTime")String startTime,@Param("endTime")String endTime);

    /**
     * 维修根据项目分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> repairStatisticsByProject(@Param("startTime") Date startTime,@Param("endTime") Date endTime);


    /**
     * 维修根据车辆种类分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> repairStatisticsByVehicleType(@Param("startTime")Date startTime,@Param("endTime")Date endTime);

    /**
     * 保养根据月份分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> upkeepStatisticsByMonth(@Param("startTime")String startTime,@Param("endTime")String endTime);

    /**
     * 保养根据项目分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> upkeepStatisticsByProject(@Param("startTime") Date startTime,@Param("endTime") Date endTime);


    /**
     * 保养根据车辆种类分组统计
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleCenterVo> upkeepStatisticsByVehicleType(@Param("startTime")Date startTime,@Param("endTime")Date endTime);

}
