package com.gci.boot.modules.gis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonPropertyDescription;
import com.gci.boot.common.dict.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 车辆gps轨迹信息表
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
@Getter
@Setter
@TableName("tb_gis_gps_analysis")
@ApiModel(value = "GisGpsAnalysis对象", description = "车辆gps轨迹信息分析表")
public class GisGpsAnalysis implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @JsonPropertyDescription("项目id")
    @Dict(dictTable = "tb_projects", dicText = "project_name", dicCode = "id")
    private String projectId;

    @JsonPropertyDescription("车牌号")
    private String numberPlate;

    @JsonPropertyDescription("车辆种类")
    @Dict(dicCode = "vehicle_type")
    private String vehicleType;

    @JsonPropertyDescription("车辆品牌")
    @Dict(dicCode = "vehicle_brand")
    private String vehicleBrand;

    @JsonPropertyDescription("车辆型号")
    private String vehicleModel;

    @JsonPropertyDescription("所属日期")
    private Date ownDate;

    @JsonPropertyDescription("车辆类型  1-行驶未作业  2-行驶作业 3-停靠作业 4-停靠未作业")
    private Integer recordType;

    @JsonPropertyDescription("开始时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @JsonPropertyDescription("结束时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @JsonPropertyDescription("时长")
    private Long duration;

    @JsonPropertyDescription("开始里程 km")
    private BigDecimal startMile;

    @JsonPropertyDescription("结束里程 km")
    private BigDecimal endMile;

    @JsonPropertyDescription("里程 km")
    private BigDecimal mile;

    @JsonPropertyDescription("开始soc百分比")
    private Integer startSoc;

    @JsonPropertyDescription("结束soc百分比")
    private Integer endSoc;

    @JsonPropertyDescription("电池容量 kwh")
    private BigDecimal batteryCapacity;

    @JsonPropertyDescription("耗电量 kwh")
    private BigDecimal powerConsume;

    @JsonPropertyDescription("入库时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(exist = false)
    @JsonPropertyDescription("格式化后的时间间隔描述")
    private String formatBetween;

    @TableField(exist = false)
    private String statisTime;
    @TableField(exist = false)
    private BigDecimal lon;
    @TableField(exist = false)
    private BigDecimal lat;
}
