package com.gci.boot.modules.gis.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.gci.boot.modules.gis.dto.EverydayMileCountDto;
import com.gci.boot.modules.gis.entity.GisGpsAnalysis;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.boot.modules.gis.query.EverydayQuery;
import com.gci.boot.modules.gis.vo.VehicleWorkVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 车辆gps轨迹信息表 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
public interface GisGpsAnalysisMapper extends BaseMapper<GisGpsAnalysis> {

    List<EverydayMileCountDto> everydayMileCount(@Param(Constants.WRAPPER) LambdaQueryWrapper<GisGpsAnalysis> lambdaQueryWrapper, @Param("query") EverydayQuery query);

    List<VehicleWorkVO> findAnalysisByTimeAndVehicle(@Param("plates")List<String> plates, @Param("startTime") Date startTime,@Param("endTime") Date endTime);
}
