package com.gci.boot.modules.gis.mapper;

import com.gci.boot.modules.gis.entity.TbGisRunningbus;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.boot.modules.monitor.vo.OverallMonitorVO;
import com.gci.boot.modules.monitor.vo.VehicleTreeVO;
import com.gci.boot.modules.vehicles.vo.VehicleProjectVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 车辆实时信息表 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
public interface TbGisRunningbusMapper extends BaseMapper<TbGisRunningbus> {

    /**
     * 获取所有车辆对应项目，为空的归到其它
     * @return
     */
    List<VehicleTreeVO> queryProjrctVehicle(@Param("plateNumber") String plateNumber);

    /**
     * 获取全局监控车辆数据
     * @return
     */
    List<OverallMonitorVO> queryOverallVehicle(@Param("statusType") String statusType,
                                               @Param("plateNumber") String plateNumber,
                                               @Param("projectId") String projectId,
                                               @Param("vehicleType") String vehicleType);

    /**
     * 查车辆详情
     * @param plateNumber
     * @return
     */
    OverallMonitorVO queryVehicleInfo(@Param("plateNumber") String plateNumber);
}
