package com.gci.boot.modules.gis.mapper;


import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.boot.modules.dataview.vo.VehicleFaultAlarmVo;
import com.gci.boot.modules.gis.dto.VehicleFaultDto;
import com.gci.boot.modules.gis.entity.TbGisVehicleFaultAlarm;
import com.gci.boot.modules.gis.vo.VehicleFaultVo;
import com.gci.boot.modules.statis.vo.AlarmTrendVO;

/**
 * <p>
 * 车辆车机故障异常记录表 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-09-09
 */
public interface TbGisVehicleFaultAlarmMapper extends BaseMapper<TbGisVehicleFaultAlarm> {

    List<VehicleFaultVo> countFault(@Param("projectId") String projectId, @Param("vehicleFaultDtos") List<VehicleFaultDto> vehicleFaultDtos);
 
    List<VehicleFaultAlarmVo> getFaultAlarmMonth(Date alarmStartTime);

    List<AlarmTrendVO> findTrendListByTime(@Param("startTime") String startTime, @Param("endTime") String endTime);

    Page<TbGisVehicleFaultAlarm> pageBuild(@Param("page") Page<TbGisVehicleFaultAlarm> page,@Param("ew") LambdaQueryWrapper<TbGisVehicleFaultAlarm> lambdaQueryWrapper);
}
