package com.gci.boot.modules.gis.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gci.boot.common.validated.SaveValidated;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author 24642
 */
@Data
public class EverydayInfoQuery {
    /**
     * 车牌号
     */
    private String numberPlate;
    /**
     * 日期
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @NotNull(message = "日期不能为空！",groups = {SaveValidated.class})
    private Date time;
}
