package com.gci.boot.modules.gis.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gci.boot.annotation.Query.OrderQuery;
import com.gci.boot.annotation.Query.SelectQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author 24642
 */
@Data
public class EverydayQuery {
    /**
     * 项目Id
     */
    @SelectQuery(Type = SelectQuery.SelectType.EQ)
    private String projectId;
    /**
     * 车牌号
     */
    @SelectQuery
    @OrderQuery(sort = 2)
    private String numberPlate;
    /**
     * 车辆种类
     */
    @SelectQuery(Type = SelectQuery.SelectType.EQ)
    private String vehicleType;
    /**
     * 车辆品牌
     */
    @SelectQuery(Type = SelectQuery.SelectType.EQ)
    private String vehicleBrand;
    /**
     * 时间区间
     */
    @SelectQuery(Type = SelectQuery.SelectType.BETWEEN,PropName = "ownDate")
    @OrderQuery(PropName = "startTime",sort = 1)
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private List<Date> time;
    /**
     * 统计期间类型 1-日 2-周 3-月
     */
    private String  statisType;
}
