package com.gci.boot.modules.gis.query;

import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gci.boot.annotation.Query.OrderQuery;
import com.gci.boot.annotation.Query.SelectQuery;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class GisStoppingQuery {
    @ApiModelProperty("项目ID")
    @SelectQuery(Type = SelectQuery.SelectType.EQ,PropName = "tgsa.projectId")
    private String projectId;

    @ApiModelProperty("车牌号")
    @SelectQuery(Type = SelectQuery.SelectType.LIKE,PropName = "tgsa.plateNumber")
    private String plateNumber;

    @OrderQuery(sort = 1,PropName = "tgsa.endTime")
    private Date endTime;

    /**
     * 时间
     */
    @SelectQuery(Type = SelectQuery.SelectType.BETWEEN,PropName = "tgsa.startTime")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private List<Date> time;

    @ApiModelProperty("车辆品牌")
    @SelectQuery(Type = SelectQuery.SelectType.EQ,PropName = "tv.vehicleBrand")
    private String vehicleBrand;

    @ApiModelProperty("车辆型号")
    @SelectQuery(Type = SelectQuery.SelectType.LIKE,PropName = "tv.vehicleModel")
    private String vehicleModel;

    @ApiModelProperty("车辆种类")
    @SelectQuery(Type = SelectQuery.SelectType.EQ,PropName = "tv.vehicleType")
    private String vehicleType;

    @ApiModelProperty("所属车商")
    @SelectQuery(Type = SelectQuery.SelectType.EQ,PropName = "tv.dealer")
    private String dealer;
}
