package com.gci.boot.modules.gis.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.basedata.entity.TbVehicle;
import com.gci.boot.modules.dataview.vo.GisRoadMileVo;
import com.gci.boot.modules.gis.entity.GisRoadMileLog;
import com.gci.boot.modules.gis.entity.TbGisChargeLog;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 行驶里程能耗记录表 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
public interface GisRoadMileLogService extends IService<GisRoadMileLog> {

    /**
     * 查询能耗信息
     * @param startTime
     * @param endTime
     * @return
     */
    List<GisRoadMileVo> countByTime(Date startTime,Date endTime);


    /**
     * 将支持三电的gps数据转换计算成行驶里程和耗电量
     */
    void  coverGpsToRoadMile(TbVehicle vehicle, Date startTime, Date endTime);
}
