package com.gci.boot.modules.gis.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.basedata.entity.TbVehicle;
import com.gci.boot.modules.gis.entity.GisGpsAnalysis;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.gis.vo.StatisGisVo;
import com.gci.boot.modules.gis.vo.VehicleWorkVO;
import com.gci.boot.modules.gis.query.EverydayQuery;
import com.gci.boot.modules.gis.vo.EverydayGisVo;
import com.gci.boot.modules.gis.vo.EverydayMileCountVo;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 车辆gps轨迹信息表 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
public interface IGisGpsAnalysisService extends IService<GisGpsAnalysis> {

    /**
     *
     *时间段内车辆gps数据分析
     *
     * @param vehicle
     * @param startTime
     * @param endTime
     */
    void  gpsDataAnalysisByVehicle(TbVehicle vehicle, Date startTime, Date endTime,boolean isEic);

    void  gpsDataAnalysisByVehicleBy808(TbVehicle vehicle, Date startTime, Date endTime);

    List<GisGpsAnalysis> gpsTime(TbVehicle vehicle, Date startTime, Date endTime);

    /**
     * 车辆作业分析
     * @param page
     * @param query
     * @return
     */
    IPage<EverydayGisVo> everydayGis(Page<EverydayGisVo> page, EverydayQuery query);

    /**
     * 车辆作业统计
     * @param query
     * @return
     */
    EverydayMileCountVo everydayMileCount(EverydayQuery query);
    /**
     * 查询指定车辆在某段时间内的作业信息
     * @param numberplates
     * @param startTime
     * @param endTime
     * @return
     */
    List<VehicleWorkVO> findAnalysisByTimeAndVehicle(List<String> numberplates,Date startTime,Date endTime);

    IPage<StatisGisVo> statisGis(Page<StatisGisVo> page, EverydayQuery query);
}
