package com.gci.boot.modules.gis.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.gis.entity.TbGisActiveSafetyAlarm;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.statis.vo.AlarmTrendVO;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 主动安全故障记录表 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
public interface ITbGisActiveSafetyAlarmService extends IService<TbGisActiveSafetyAlarm> {
    /**
     * 构建返回
     */
    IPage<TbGisActiveSafetyAlarm> pageBuild(Page<TbGisActiveSafetyAlarm> page, LambdaQueryWrapper<TbGisActiveSafetyAlarm> lambdaQueryWrapper);

    /**
     * 查询某地时间内的所有告警记录
     * @param startTime
     * @param endTime
     * @return
     */
    List<TbGisActiveSafetyAlarm> findListByTime(Date startTime,Date endTime);

    List<AlarmTrendVO> findTrendListByTime(Date startTime, Date endTime);
}
