package com.gci.boot.modules.gis.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.gis.entity.TbGisSpeedingAlarm;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.statis.vo.AlarmTrendVO;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 超速记录表 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
public interface ITbGisSpeedingAlarmService extends IService<TbGisSpeedingAlarm> {

    IPage<TbGisSpeedingAlarm> pageBuild(Page<TbGisSpeedingAlarm> page, LambdaQueryWrapper<TbGisSpeedingAlarm> lambdaQueryWrapper);

    /**
     * 查询某地时间内的所有告警记录
     * @param startTime
     * @param endTime
     * @return
     */
    List<TbGisSpeedingAlarm> findListByTime(Date startTime, Date endTime);

    List<AlarmTrendVO> findTrendListByTime(Date startTime, Date endTime);
}
