package com.gci.boot.modules.gis.vo;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 时间段分组Item
 */
@NoArgsConstructor
@Data
public class TimeSlotDTO {
    /**
     * 记录开始时间
     */
    private Date slotTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * power--充电driving--行驶working--作业中
     */
    private String type;
    /**
     * timeRange
     */
    private String timeRange;
    /**
     * timeCount
     */
    private String timeCount;
    /**
     * 充电量
     */
    private BigDecimal chargedEnergy;
    /**
     * 充电比
     */
    private BigDecimal chargedEfficiency;
    /**
     * 平均速度
     */
    private Double averageSpeed;
    /**
     * 行驶里程
     */
    private BigDecimal mileage;
    /**
     * 平均耗电量
     */
    private BigDecimal powerConsumption;
    /**
     * 是否跨天1-是0-否
     */
    private Integer isOvernight;

    /**
     * 1-行驶未作业  2-行驶作业 3-停靠作业 4-停靠未作业
     */
    private Integer recordType;

    /**
     * 开始里程
     */
    private BigDecimal startMile;
    /**
     * 结束里程
     */
    private BigDecimal endMile;
    /**
     * 开始电量
     */
    private Integer startGisGpsStateOfCharge;
    /**
     * 结束电量
     */
    private Integer endGisGpsStateOfCharge;

    private BigDecimal lon;

    private BigDecimal lat;
    /**
     * 是否合并记录
     */
    private Boolean logMerge;
    /**
     * 经纬度点集合及其他信息
     */
    private List<PointListDTO> pointList;

    /**
     * 工作状态点集合
     */
    private List<WorkLineVo> workLine;

}