package com.gci.boot.modules.projects.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gci.boot.modules.driver.vo.DriverUserVo;
import com.gci.boot.modules.projects.entity.Projects;
import com.gci.boot.modules.projects.vo.VehicleTypeVO;
import com.gci.boot.modules.system.entity.SysDepart;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 项目基础信息表 Mapper 接口
 * </p>
 *
 * @author xushuhan
 * @since 2023-08-25
 */
public interface ProjectsMapper extends BaseMapper<Projects> {
    List<Projects> getProjectsByDepartCodes(@Param("list")List<String> list);

    /**
     * 查车辆类型数量
     */
    List<VehicleTypeVO> queryVehicleTypeNum(@Param("vehicleIds")List<String> vehicleIds);

    /**
     * 查全部项目,用于数据权限
     */
    List<Projects> getAllProjects();

    /**
     * 分页查--区分数据权限
     */
    IPage<Projects> getPage(IPage page, @Param("ew")Wrapper wrapper);

    /**
     * 获取所有项目,加一层用于数据权限注解,创建时间升序
     */
    List<Projects> getAllProjectsAuth();
}
