package com.gci.boot.modules.statis.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.gci.boot.common.dict.annotation.Dict;
import com.gci.boot.common.dict.excel.DictConverter;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class AccidentInfoStatisVo {
    @ApiModelProperty("所属项目")
    @Dict(dicCode = "id",dictTable = "tb_projects",dicText = "project_name")
    @ExcelProperty(value = "所属项目",index = 2,converter = DictConverter.class)
    @ColumnWidth(value = 30)
    private String projectId;

    private String projectName;

    @ApiModelProperty("统计期间")
    private String statisTime;

    @ApiModelProperty("车辆种类")
    @Dict(dicCode = "vehicle_type")
    private String vehicleType;

    @ApiModelProperty("事故次数")
    private Integer accidentTimes;

    @ApiModelProperty("id")
    private String ids;

    @ApiModelProperty("动态列")
    private List<ColumnItemVO> colList;
}
