package com.gci.boot.modules.statis.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.gci.boot.common.dict.annotation.Dict;
import com.gci.boot.common.dict.excel.DictConverter;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class AnnualInspectionInfoStatisVo {
    @ApiModelProperty("所属项目")
    @Dict(dicCode = "id",dictTable = "tb_projects",dicText = "project_name")
    @ExcelProperty(value = "所属项目",converter = DictConverter.class)
    @ColumnWidth(value = 30)
    private String projectId;

    @ApiModelProperty("车辆种类")
    @Dict(dicCode = "vehicle_type")
    @ExcelProperty(value = "车辆类型",converter = DictConverter.class)
    private String vehicleType;

    @ApiModelProperty("统计期间")
    @ExcelProperty("统计期间")
    private String statisTime;

    @ApiModelProperty("车牌号")
    @ExcelProperty("车牌号")
    private String plateNumber;

    @ApiModelProperty("年检次数")
    @ExcelProperty("年检次数")
    private Integer inspectionTimes;

    @ApiModelProperty("完成率")
    @ExcelProperty("完成率")
    private String completionRate;

    @ApiModelProperty("年检金额")
    @ExcelProperty("年检金额（元）")
    private Double inspectionAmount;

    @ApiModelProperty("平均金额")
    @ExcelProperty("平均金额（元）")
    private Double avgAmount;

    @ApiModelProperty("车牌号")
    @ExcelIgnore
    private String plateNumbers;
}
