package com.gci.boot.modules.statis.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.alibaba.excel.annotation.ExcelProperty;
import com.gci.boot.common.dict.annotation.Dict;
import com.gci.boot.common.dict.excel.DictConverter;
import lombok.Data;

/**
 * @author lyz
 * @date 2023/10/23 19:46
 */
@Data
public class DriverAnalysisVO {

    @ExcelProperty(value = "所属项目",converter = DictConverter.class)
    @Excel(name = "所属项目",width = 30,dict = "tb_projects,project_name,id")
    @Dict(dictTable = "tb_projects",dicCode = "id",dicText = "project_name")
    private String projectId;

    @Excel(width = 15,name = "司机姓名")
    private String name  ;

    @Excel(width = 15,name = "年龄")
    private String age ;

    @Excel(width = 15,name = "性别",dict = "sex")
    @Dict(dicCode = "sex")
    private String sex ;

    @Excel(width = 15,name = "在职状态",dict = "entry_status")
    @Dict(dicCode = "entry_status")
    private String entryStatus;

    @Excel(width = 15,name = "安全得分")
    private String secureScore;

    @Excel(width = 15,name = "安全里程(km)")
    private String secureMile;

    @Excel(width = 15,name = "驾驶车型",dict = "vehicle_type")
    @Dict(dicCode = "vehicle_type")
    private String vehicleType;

    @Excel(width = 15,name = "事故次数")
    private String accidentNum;

    @Excel(width = 15,name = "违章次数")
    private String violationNum;

    @Excel(width = 15,name = "超速次数")
    private String speedNum;


    @Excel(width = 15,name = "围栏告警次数")
    private String fenceNum;

    @Excel(width = 15,name = "主动安全告警次数")
    private String safetyNum;

    @Excel(width = 15,name = "驾驶里程(km)")
    private String driverMile;


}
