package com.gci.boot.modules.statis.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.gci.boot.common.dict.annotation.Dict;
import com.gci.boot.common.dict.excel.DictConverter;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ProjectStatisVo {
    @ApiModelProperty("所属项目")
    @Dict(dicCode = "id",dictTable = "tb_projects",dicText = "project_name")
    @ExcelProperty(value = "所属项目",converter = DictConverter.class)
    @ColumnWidth(value = 30)
    private String projectId;

    @ApiModelProperty("车辆种类")
    @Dict(dicCode = "vehicle_type")
    @ExcelProperty(value = "车辆种类",converter = DictConverter.class)
    private String vehicleType;

    @ApiModelProperty("统计期间")
    @ExcelProperty(value = "统计期间")
    private String statisTime;

    @ApiModelProperty("维修金额")
    @ExcelProperty(value = "维修金额")
    private Double repairAmount = 0.0;

    @ApiModelProperty("保险金额")
    @ExcelProperty(value = "保险金额")
    private Double insuranceAmount = 0.0;

    @ApiModelProperty("保养金额")
    @ExcelProperty(value = "保养金额")
    private Double upkeepAmount = 0.0;

    @ApiModelProperty("年检金额")
    @ExcelProperty(value = "年检金额")
    private Double inspectionAmount = 0.0;
}
