package com.gci.boot.modules.statis.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.gci.boot.annotation.Query.SelectQuery;
import com.gci.boot.common.dict.annotation.Dict;
import com.gci.boot.common.dict.excel.DictConverter;
import com.gci.boot.common.validated.SaveValidated;
import com.gci.boot.common.validated.UpdateValidated;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

@Data
public class RepairStatisVO {

    @ApiModelProperty("所属项目")
    @Dict(dicCode = "id",dictTable = "tb_projects",dicText = "project_name")
    @ExcelProperty(value = "所属项目",index = 2,converter = DictConverter.class)
    @ColumnWidth(value = 30)
    private String projectId;

    private String projectName;

    @ApiModelProperty("统计时间")
    private String statisTime;

    @ApiModelProperty("维修车次")
    private Integer repairTimes;

    @ApiModelProperty("车牌号")
    private String plateNumber;

    @ApiModelProperty("车辆种类")
    @Dict(dicCode = "vehicle_type")
    private String vehicleType;

    @ApiModelProperty("维修金额")
    private Double repairAmount;

    @ApiModelProperty("平均金额")
    private Double avgAmount;

    @ApiModelProperty("维修信息表id")
    private String repairIds;

    private List<ColumnItemVO> colList;

}

