package com.gci.boot.modules.statis.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.gci.boot.common.dict.annotation.Dict;
import com.gci.boot.common.dict.excel.DictConverter;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author lyz
 * @date 2023/10/23 19:46
 */
@Data
public class VehicleAnalysisVO {

    @ExcelProperty(value = "所属项目",converter = DictConverter.class)
    @Excel(name = "所属项目",width = 30,dict = "tb_projects,project_name,id")
    @Dict(dictTable = "tb_projects",dicCode = "id",dicText = "project_name")
    private String projectId;

    @Excel(name = "车牌号",width = 15)
    private String plateNumber;

    @Excel(name = "车架号",width = 20)
    private String frameNumber;

    @Excel(name = "所属车商",width = 20,dict = "tb_vehicle_supplier_archives,shortened,id")
    @Dict(dictTable = "tb_vehicle_supplier_archives",dicCode = "id",dicText = "shortened")
    private String dealer;

    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @com.alibaba.excel.annotation.format.DateTimeFormat("yyyy年MM月dd日")
    @Excel(name = "交付时间",width = 20,format = "yyyy-MM-dd HH:mm:ss")
    private Date deliveryTime;

    @Excel(name = "品牌",width = 15,dict = "vehicle_brand")
    @Dict(dicCode = "vehicle_brand")
    private String vehicleBrand;

    @Excel(name = "型号",width = 15)
    private String vehicleModel;

    @Excel(name = "车辆种类",width = 20,dict = "vehicle_type")
    @Dict(dicCode = "vehicle_type")
    private String vehicleType;

    @Excel(width = 15,name = "车辆成本(万元)")
    private String cost;

    @Excel(width = 15,name = "使用年限(年)")
    private String age;

    @Excel(width = 15,name = "行驶里程(km)")
    private String driverMile;

    @Excel(width = 15,name = "行驶时长(h)")
    private String driverHour;

    @Excel(width = 15,name = "作业里程(km)")
    private String workMile;

    @Excel(width = 15,name = "作业时长(h)")
    private String workHour;

    @Excel(width = 15,name = "租金收入(万元)")
    private String rentalIncome;

    @Excel(width = 15,name = "剩余价值(万元)")
    private String residualValue;

    @Excel(width = 15,name = "维修次数")
    private String repairNum;

    @Excel(width = 15,name = "维修费用(元)")
    private String repairFee;

    @Excel(width = 15,name = "保险费用(元)")
    private String insuranceFee;

    @Excel(width = 15,name = "年检费用(元)")
    private String annualFee;

    @Excel(width = 15,name = "保养费用(元)")
    private String upkeepFee;

}
