package com.gci.boot.modules.statis.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.gci.boot.common.dict.annotation.Dict;
import com.gci.boot.common.dict.excel.DictConverter;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class ViolationRecordStatisVO {

    @ApiModelProperty("所属项目")
    @Dict(dicCode = "id",dictTable = "tb_projects",dicText = "project_name")
    @ExcelProperty(value = "所属项目",index = 2,converter = DictConverter.class)
    @ColumnWidth(value = 30)
    private String projectId;

    private String projectName;

    @ApiModelProperty("车牌号")
    private String plateNumber;

    @ApiModelProperty("统计时间")
    private String statisTime;

    @ApiModelProperty("车辆种类")
    @Dict(dicCode = "vehicle_type")
    private String vehicleType;

    @ApiModelProperty("违章车次")
    private Integer violationTimes;

    @ApiModelProperty("违章金额")
    private Double violationAmount = 0.0;

    @ApiModelProperty("平均金额")
    private Double avgAmount = 0.0;

    @ApiModelProperty("违章行为字典值s")
    private String violationActIds;

    private List<ColumnItemVO> colList;

}

