package com.gci.boot.modules.statis.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonPropertyDescription;
import com.gci.boot.annotation.Query.SelectQuery;
import com.gci.boot.common.dict.annotation.Dict;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 地磅数据
 * @author 24642
 */
@Getter
@Setter
public class WeighbridgeStatisVo {
    @Dict(dictTable = "tb_projects", dicText = "project_name", dicCode = "id")
    @Excel(name = "所属项目",dict = "tb_projects,project_name,id",width = 9)
    @SelectQuery(Type = SelectQuery.SelectType.EQ)
    @JsonPropertyDescription("所属项目")
    private String projectId;

    @SelectQuery(Type = SelectQuery.SelectType.EQ)
    @Excel(name = "车辆种类",dict = "vehicle_type")
    @JsonPropertyDescription("车辆种类")
    private String vehicleType;

    @Dict(dicCode = "vehicle_brand")
    @Excel(name = "品牌",dict = "vehicle_brand")
    @JsonPropertyDescription("品牌")
    private String vehicleBrand;

    @Excel(name = "型号")
    @JsonPropertyDescription("型号")
    private String vehicleModel;

    @SelectQuery()
    @Excel(name = "车牌号")
    @JsonPropertyDescription("车牌号")
    private String plateNumber;

    @SelectQuery()
    @Excel(name = "车架号")
    @JsonPropertyDescription("车架号")
    private String frameNumber;

    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Excel(name = "进出场时间",format = "yyyy-MM-dd HH:mm:ss")
    @JsonPropertyDescription("进出场时间")
    private Date time;

    @Excel(name = "重量（kg）")
    @JsonPropertyDescription("重量（kg）")
    private Double weight;

    @Excel(name = "转运压缩站名称")
    @JsonPropertyDescription("转运压缩站名称")
    private String stationName;
}
