package com.gci.boot.modules.vehicles.mapper;

import java.util.List;

import com.gci.boot.modules.statis.vo.StatisParamVO;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.statis.vo.InsuranceStatisVo;
import com.gci.boot.modules.vehicles.entity.TbInsurance;

/**
 * <p>
 * 保险信息 Mapper 接口
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-21
 */
public interface TbInsuranceMapper extends BaseMapper<TbInsurance> {

	List<InsuranceStatisVo> findStatisInsuranceByDayMonthYear(@Param("page")Page<InsuranceStatisVo> page,@Param("vo") StatisParamVO vo);

	List<InsuranceStatisVo> findStatisInsuranceByProject(@Param("vo") StatisParamVO vo);

	List<InsuranceStatisVo> findStatisInsuranceAll(@Param("vo") StatisParamVO vo,
												   @Param("listProjectIds") List<String> listProjectIds);

	List<InsuranceStatisVo> findStatisInsuranceAndPlateNumberAll(@Param("vo") StatisParamVO vo,
																 @Param("listProjectIds") List<String> listProjectIds);

	List<InsuranceStatisVo> findStatisInsuranceAndPlateNumberAllHis(@Param("vo") StatisParamVO vo,
																 @Param("listProjectIds") List<String> listProjectIds);

	List<InsuranceStatisVo> findStatisInsuranceAndPlateNumber(@Param("vo") StatisParamVO vo);
}
