package com.gci.boot.modules.vehicles.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.statis.vo.StatisParamVO;
import com.gci.boot.modules.vehicles.entity.TbInsuranceRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.boot.modules.vehicles.vo.InsurancePriceVO;
import com.gci.boot.modules.vehicles.vo.InsuranceRecordStatisVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 出险管理 Mapper 接口
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-22
 */
public interface TbInsuranceRecordMapper extends BaseMapper<TbInsuranceRecord> {

    /**
     * 保险年度信息报表---出险为主
     */
    List<InsuranceRecordStatisVO> findYearStatisInsuranceRecord(Page page,
                                                                @Param("vo") InsuranceRecordStatisVO vo);

    /**
     * 保险年度信息报表---保险表为主
     */
    List<InsuranceRecordStatisVO> findYearStatisInsuranceRecordV2(Page page,
                                                                 @Param("vo") InsuranceRecordStatisVO vo);

    /**
     * 年度保单保费
     */
    List<InsurancePriceVO> findStatisInsurancePrice();
}
