package com.gci.boot.modules.vehicles.service;

import com.gci.boot.common.vo.Result;
import com.gci.boot.modules.statis.vo.InsuranceStatisVo;
import com.gci.boot.modules.statis.vo.StatisParamVO;
import com.gci.boot.modules.vehicles.entity.TbInsurance;
import com.gci.boot.modules.vehicles.vo.InsuranceImportVO;
import com.gci.boot.modules.vehicles.vo.TbInsuranceRemindVo;

import java.io.File;
import java.io.IOException;
import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * 保险信息 服务类
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-21
 */
public interface ITbInsuranceService extends IService<TbInsurance> {

	List<InsuranceStatisVo> page(Page<InsuranceStatisVo> page, StatisParamVO vo);

	Map<String, TbInsurance> getLastInsurance(List<String> vids);

	String checkItem(TbInsurance item);

	int uploadFiles(Map<String, File> fileMap, String hasCompulsoryInsurance);

	Result<?> listImport(List<InsuranceImportVO> list) throws IOException;
}
