package com.gci.boot.modules.vehicles.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.vehicles.entity.TbRepairInfo;
import com.gci.boot.modules.vehicles.vo.RepairDataEntryVO;
import com.gci.boot.modules.vehicles.vo.RepairInfoListVO;
import com.gci.boot.modules.vehicles.vo.RepairObjectVO;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface ITbRepairInfoService extends IService<TbRepairInfo> {

    /**
     * 分页列表查询
     * @param page
     * @param vo
     * @return
     */
    Page getRepairInfoList(Page page, RepairInfoListVO vo);

    /**
     * 根据维修单id获取维修弹窗详情
     * @param id
     * @return
     */
    RepairObjectVO getRepairObjectById(String id);

    /**
     * 数据录入
     * @param vo
     * @param isGuarantee = "0",则校验附件单件是否为空
     */
    String addDataEntry(RepairDataEntryVO vo, String isGuarantee);

    /**
     * 流程提交
     */
    String submitRepairObject(RepairObjectVO vo, HttpServletRequest request);

}
