package com.gci.boot.modules.vehicles.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.vehicles.entity.TbUpkeepBill;
import com.gci.boot.modules.vehicles.entity.TbUpkeepPlan;
import com.gci.boot.modules.vehicles.vo.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface ITbUpkeepBillService extends IService<TbUpkeepBill> {

    /**
     * 数据录入
     * @param vo
     * @param isGuarantee "0",则校验附件单件是否为空
     */
    String addDataEntry(UpkeepDataEntryVO vo, String isGuarantee);

    /**
     * 分页列表查询
     * @param page
     * @param vo
     * @return
     */
    Page getUpkeepBillList(Page page, UpkeepInfoListVO vo);

    /**
     * 查所有列表查询
     * @param vo
     * @return
     */
    List<UpkeepInfoListVO> getAllUpkeepBillList(UpkeepInfoListVO vo);

    /**
     * 根据保养单id获取保养弹窗详情
     * @param id
     * @return
     */
    UpkeepObjectVO getUpkeepObjectById(String id);

    /**
     * 流程提交
     */
    String submitUpkeepObject(UpkeepObjectVO vo, HttpServletRequest request);
}
