package com.gci.boot.modules.vehicles.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.gci.boot.common.dict.annotation.Dict;
import com.gci.boot.common.dict.excel.DictConverter;
import lombok.Data;

@Data
public class InsuranceRecordStatisVO {
    @ColumnWidth(value = 20)
    @Dict(dicCode = "id",dictTable = "tb_projects",dicText = "project_name")
    @ExcelProperty(value = "所属项目",converter = DictConverter.class)
    private String projectId;
    @ColumnWidth(value = 20)
    @Dict(dicCode = "vehicle_type")
    @ExcelProperty(value = "车辆种类",converter = DictConverter.class)
    private String vehicleType;
    @ColumnWidth(value = 20)
    @Dict(dicCode = "vehicle_brand")
    @ExcelProperty(value = "品牌",converter = DictConverter.class)
    private String vehicleBrand;
    @ColumnWidth(value = 20)
    @ExcelProperty(value = "型号")
    private String vehicleModel;
    @ColumnWidth(value = 20)
    @ExcelProperty(value = "车牌号")
    private String plateNumber;
    @ExcelIgnore
    private String vehicleId;
    @ColumnWidth(value = 20)
    @ExcelProperty(value = "车架号")
    private String frameNumber;
    @ColumnWidth(value = 20)
    @ExcelProperty(value = "统计期间")
    private String statisTime;
    @ColumnWidth(value = 20)
    @ExcelProperty(value = "出险车次")
    private Integer insuranceTimes;
    @ColumnWidth(value = 20)
    @ExcelProperty(value = "出险金额（元）")
    private Double insuranceAmount;
    @ColumnWidth(value = 20)
    @ExcelProperty(value = "平均出险金额（元/车次）")
    private Double avgAmount;
    @ColumnWidth(value = 20)
    @ExcelProperty(value = "车辆年度保费")
    private Double annualPremium;
    @ColumnWidth(value = 20)
    @ExcelProperty(value = "保费变化")
    private String premiumChange;
    @ColumnWidth(value = 20)
    @ExcelProperty(value = "次年保费预算")
    private Double nextYearPremium;
}
