ALTER TABLE public.tb_annual_inspection_info ADD del_flag int2 NULL DEFAULT 0;
COMMENT ON COLUMN public.tb_annual_inspection_info.del_flag IS '删除标志';



-- public.tb_annual_inspection_remind definition

-- Drop table

-- DROP TABLE public.tb_annual_inspection_remind;

CREATE TABLE public.tb_annual_inspection_remind (
                                                    id varchar(32) NOT NULL, -- id
                                                    sys_org_code varchar(32) NULL, -- 所属机构
                                                    create_time timestamp NULL, -- 创建时间
                                                    create_by varchar(32) NULL, -- 创建人
                                                    update_time timestamp NULL, -- 更新时间
                                                    update_by varchar(32) NULL, -- 更新人
                                                    plate_number varchar(32) NOT NULL, -- 车牌号
                                                    validity_period timestamp NULL, -- 年审有效期
                                                    overdue_type varchar(2) NULL, -- 逾期类型
                                                    days_to_overdue int2 NULL, -- 将要逾期天数
                                                    overdue_days int2 NULL, -- 逾期天数
                                                    remind_status varchar(2) NULL, -- 提醒状态 1-提醒中 0-已过期
                                                    info_id varchar(32) NULL, -- 年检台账id
                                                    del_flag int2 NULL DEFAULT 0, -- 删除标志
                                                    CONSTRAINT tb_accident_insurance_remind_pk PRIMARY KEY (id)
);
COMMENT ON TABLE public.tb_annual_inspection_remind IS '年检提醒';

-- Column comments

COMMENT ON COLUMN public.tb_annual_inspection_remind.id IS 'id';
COMMENT ON COLUMN public.tb_annual_inspection_remind.sys_org_code IS '所属机构';
COMMENT ON COLUMN public.tb_annual_inspection_remind.create_time IS '创建时间';
COMMENT ON COLUMN public.tb_annual_inspection_remind.create_by IS '创建人';
COMMENT ON COLUMN public.tb_annual_inspection_remind.update_time IS '更新时间';
COMMENT ON COLUMN public.tb_annual_inspection_remind.update_by IS '更新人';
COMMENT ON COLUMN public.tb_annual_inspection_remind.plate_number IS '车牌号';
COMMENT ON COLUMN public.tb_annual_inspection_remind.validity_period IS '年审有效期';
COMMENT ON COLUMN public.tb_annual_inspection_remind.overdue_type IS '逾期类型';
COMMENT ON COLUMN public.tb_annual_inspection_remind.days_to_overdue IS '将要逾期天数';
COMMENT ON COLUMN public.tb_annual_inspection_remind.overdue_days IS '逾期天数';
COMMENT ON COLUMN public.tb_annual_inspection_remind.remind_status IS '提醒状态 1-提醒中 0-已过期';
COMMENT ON COLUMN public.tb_annual_inspection_remind.info_id IS '年检台账id';
COMMENT ON COLUMN public.tb_annual_inspection_remind.del_flag IS '删除标志';
ALTER TABLE public.tb_annual_inspection_remind ADD CONSTRAINT tb_accident_insurance_remind_pk PRIMARY KEY (id);

ALTER TABLE public.tb_customer_training ADD training_name varchar(64) NULL;
COMMENT ON COLUMN public.tb_customer_training.training_name IS '培训名称';
ALTER TABLE public.tb_gis_fence_vehicle ALTER COLUMN gps_no DROP NOT NULL;